Subject: [bug#32111] [PATCH] daemon: Allow store names to start with a dot.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 12 Jul 2018 10:41:00 +0200

Hello Clément,

Clément Lassieur <[email-masked]> skribis:

> Nils Gillmann <[email-masked]> writes:
>
>> Hi,
>>
>> Can you provide some context why this is necessary, maybe even
>> in the commit message?
>
> It's necessary when you want to package a program whose source looks
> like file:///home/foo/.bar.

I’d rather not make this kind of change.  In general, I think we should
be very conservative about changes to the daemon and its protocol,
because that’s the common denominator of all the versions of Guix.

If we change something like it, then we’ll get subtle breakage depending
on the version of the daemon in use.

WDYT?

Ludo’.